/*
 ******************************************************************************
 *
 * @file     sleep.h
 * @brief    sleep module
 *                 
 *
 * @version  1.0
 * @date     2023/07/12   09:59:40
 * @author   Alex Xu
 *
 * Copyright (c) 2013-2099,Tkplusemi Technology Co.,Ltd.
 * All Rights Reserved
 *
 * History:
 * Revision          Date           Author            Desc
 * 1.0.0            2023/07/12      Alex          build this file
 ******************************************************************************
 */
#ifndef __SLEEP_H__
#define __SLEEP_H__

#include "define.h"

#if SLEEP_ENABLE

extern uint8_t Decnt_SleepDelay;
extern bit Enter_Sleep_Cnt_Restart_Flag;

extern bool Check_Require_Sleep(void);

#endif

#endif

